---
lang: en
title: 'API docs: repository.belongstorepository.get'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.belongstorepository.get.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BelongsToRepository](./repository.belongstorepository.md) &gt; [get](./repository.belongstorepository.get.md)

## BelongsToRepository.get() method

Gets the target model instance

<b>Signature:</b>

```typescript
get(options?: Options): Promise<Target>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<Target>`


